package open.dolphin.infomodel;

import javax.persistence.Embeddable;
import open.dolphin.queries.DolphinQuery;

/**
 * SimpleAddressModel
 *
 * @author kazm
 *
 */
@Embeddable
public class SimpleAddressModel extends InfoModel {//id

    private static final long serialVersionUID = 6193406550378317758L;
    private String zipCode;
    private String address;

    @Override
    public boolean search(DolphinQuery query) {
        return false;
    }

    public String getZipCode() {
        return zipCode;
    }

    public void setZipCode(String zipCode) {
        this.zipCode = zipCode;
    }

    public String getAddress() {
        return address;
    }

    /**
     *
     * @param address
     */
    public void setAddress(String address) {
        this.address = address;
    }
}
